Package: org.gradle.api.reporting.dependencies

## [Java] Class HtmlDependencyReportTask

- org.gradle.api.reporting.dependencies.HtmlDependencyReportTask

- All Implemented Interfaces and Traits:
    Reporting

      @Incubating
      public class HtmlDependencyReportTask
      extends ConventionTask

  Generates an HTML dependency report. This report combines the features of the ASCII dependency report and those of the ASCII dependency insight report. For a given project, it generates a tree of the dependencies of every configuration, and each dependency can be clicked to show the insight of this dependency.

  This task generates a report for the task's containing project by default. But it can also generate a report for multiple projects, by setting the value of the `projects` property. Here's how to generate an HTML dependency report for all the projects of a multi-project build, for example:

       htmlDependencyReport {
           projects = project.allprojects
       }

  The report is generated in the `build/reports/project/dependencies` directory by default. This can also be changed by setting the `outputDirectory` property.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `HtmlDependencyReportTask ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `generate()`
    `protected Instantiator` | `getInstantiator()`
    `Set<Project>` | `getProjects()` Returns the set of projects to generate a report for.
    `DependencyReportContainer` | `getReports()`
    `protected VersionMatcher` | `getVersionMatcher()`
    `DependencyReportContainer` | `reports(Closure closure)`
    `void` | `setProjects(Set<Project> projects)` Specifies the set of projects to generate this report for.

- - ### Constructor Detail

    - #### public HtmlDependencyReportTask()

  - ### Method Detail

    - #### @TaskAction public void generate()

    - #### @Inject protected Instantiator getInstantiator()

    - #### public Set<Project> getProjects()

      Returns the set of projects to generate a report for. By default, the report is generated for the task's containing project.

      Returns:
        The set of files.

    - #### public DependencyReportContainer getReports()

    - #### @Inject protected VersionMatcher getVersionMatcher()

    - #### public DependencyReportContainer reports(Closure closure)

    - #### public void setProjects(Set<Project> projects)

      Specifies the set of projects to generate this report for.

      Parameters:
        `projects` - The set of projects. Must not be null.